
Redmine - Defect #2119

Template Error - Results in Internal Error in browser

2008-10-31 17:58 - Randy Black

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.7.3

Description

I installed passenger and setup Apache2 my installation of Redmine.  Seems that through testing thus far, that everything is working

with the exception of the "Activity" tab and the "Documents" tab.  When selecting the activity tab, this is what the results are.  I get a

similar error with documents the only difference is the line number, in documents it is line 2.

Thanks!

1. your database version MySql 5.0.51a-27.1

2. your Ruby version 1.8.7.p72-1.1

3. your Rails version  1.2.5-71.1

4. OS OpenSuSe 11.0

5. Apache2 2.2.8

6. passenger 2.0.3

7. Redmine 0.7.3

ActionView::TemplateError (undefined method `length' for #<Enumerable::Enumerator:0xb6f1e7d8>) on line #11 of

projects/activity.rhtml:

8: <% @events_by_day[day].sort {|x,y| y.event_datetime <=> x.event_datetime }.each do |e| ->

9:   <dt class="<= e.event_type >"><span class="time"><= format_time(e.event_datetime, false) ></span>

10:   <= content_tag('span', h(e.project), :class => 'project') if @project.nil? || Herve Harster != e.project >

11:   <= link_to format_activity_title(e.event_title), e.event_url ></dt>

12:   <dd>< unless e.event_description.blank? ->

13:   <span class="description"><= format_activity_description(e.event_description) ></span><br />

14:   < end %>

vendor/rails/actionpack/lib/action_view/helpers/text_helper.rb:50:in `truncate'

    app/helpers/application_helper.rb:95:in `truncate_single_line'

    app/helpers/projects_helper.rb:25:in `format_activity_title'

    app/views/projects/activity.rhtml:11:in `_run_erb_47app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:8:in `each'

    app/views/projects/activity.rhtml:8:in `_run_erb_47app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:5:in `each'

    app/views/projects/activity.rhtml:5:in `_run_erb_47app47views47projects47activity46rhtml'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `send'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `compile_and_render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:365:in `render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:316:in `render_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:1100:in `render_for_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:836:in `render_with_no_layout'

    vendor/rails/actionpack/lib/action_controller/layout.rb:262:in `render_without_benchmark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1153:in `default_render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1159:in `perform_action_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:697:in `call_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:689:in `perform_action_without_benchm

ark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re

scue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re
scue'

    vendor/rails/actionpack/lib/action_controller/rescue.rb:199:in `perform_action_without_caching

'

    vendor/rails/actionpack/lib/action_controller/caching.rb:678:in `passenger_orig_perform_action

'

    vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in 

`cache'

    vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

    vendor/rails/actionpack/lib/action_controller/caching.rb:677:in `passenger_orig_perform_action

'

    /usr/local/src/passenger-2.0.3/lib/passenger/railz/request_handler.rb:53:in `perform_action'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `send'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `process_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:685:in `process_without_session_manag

ement_support'

    vendor/rails/actionpack/lib/action_controller/session_management.rb:123:in `process'

    vendor/rails/actionpack/lib/action_controller/base.rb:388:in `process'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:171:in `handle_request'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:115:in `dispatch'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:9:in `dispatch'

    /usr/local/src/passenger-2.0.3/lib/passenger/railz/request_handler.rb:38:in `process_request'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_request_handler.rb:163:in `main_loop'

    /usr/local/src/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:307:in `start_reques

t_handler'

    /usr/local/src/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:276:in `handle_spawn

_application'

    /usr/local/src/passenger-2.0.3/lib/passenger/utils.rb:165:in `safe_fork'

    /usr/local/src/passenger-2.0.3/lib/passenger/utils.rb:163:in `fork'

    /usr/local/src/passenger-2.0.3/lib/passenger/utils.rb:163:in `safe_fork'

    /usr/local/src/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:274:in `handle_spawn

_application'

    /usr/local/src/passenger-2.0.3/lib/passenger/utils.rb:165:in `safe_fork'

    /usr/local/src/passenger-2.0.3/lib/passenger/utils.rb:163:in `fork'

    /usr/local/src/passenger-2.0.3/lib/passenger/utils.rb:163:in `safe_fork'

    /usr/local/src/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:273:in `handle_spawn

_application'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `__send__'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `main_loop'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_server.rb:168:in `start_synchronously'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_server.rb:135:in `start'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_server.rb:112:in `fork'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_server.rb:112:in `start'

    /usr/local/src/passenger-2.0.3/lib/passenger/railz/application_spawner.rb:177:in `start'

    /usr/local/src/passenger-2.0.3/lib/passenger/spawn_manager.rb:218:in `spawn_rails_application'

    /usr/local/src/passenger-2.0.3/lib/passenger/spawn_manager.rb:213:in `synchronize'

    /usr/local/src/passenger-2.0.3/lib/passenger/spawn_manager.rb:213:in `spawn_rails_application'

    /usr/local/src/passenger-2.0.3/lib/passenger/spawn_manager.rb:122:in `spawn_application'

    /usr/local/src/passenger-2.0.3/lib/passenger/spawn_manager.rb:247:in `handle_spawn_application

'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `__send__'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_server.rb:317:in `main_loop'

    /usr/local/src/passenger-2.0.3/lib/passenger/abstract_server.rb:168:in `start_synchronously'

    /usr/local/src/passenger-2.0.3/bin/passenger-spawn-server:46

History

#1 - 2008-11-02 05:06 - Yon Ru

FYI

the same error is observed in 'repository' tab when used with a git repo.

in my case this defect appeared when I upgraded from ubuntu 8.04 to 8.10. my set up worked flawlessly before the upgrade.

my setup is:

- ubuntu 8.10 server

- apache 2.2.9

- Phusion_Passenger 2.0.3

- ruby 1.8.7 (2008-08-11 patchlevel 72) [i486-linux]

- sqlite
- rails 2.0.2

- redmine 0.7.3

#2 - 2008-11-02 09:56 - Jan Ivar Beddari

- Target version deleted (0.7.3)

Please, don't set target version as this version is already released ..

#3 - 2008-11-08 11:42 - Thomas Lecavelier

- Status changed from New to Closed

- Priority changed from High to Low

- Start date deleted (2008-10-31)

- Resolution set to Invalid

Please read the FAQ before opening a issue: redmine 0.7.3 needs at least rails 1.2.6. More: Rails 1.2.6 is incompatible with ruby 1.8.7.

If you want to keep ruby 1.8.7, you have to install redmine svn/trunk or to patch rails (see the forums for that).
